package com.ningdatech.carapi.analysis.mapper;

import com.ningdatech.carapi.analysis.entity.WarnAnalysisDriver;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.analysis.entity.req.WarnAnalysisListReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 驾驶员综合预警分析 Mapper 接口
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-01
 */
public interface WarnAnalysisDriverMapper extends BaseMapper<WarnAnalysisDriver> {

    List<WarnAnalysisDriver> listDriverAnalysis(@Param("param") WarnAnalysisListReq req);

    Integer saveBatchXml(@Param("singleList") List<WarnAnalysisDriver> singleList);
}
