package com.ningdatech.carapi.archives.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/17 下午3:00
 */
@Data
@ApiModel("多选题题目 填空、 题干、解析、答案等信息")
public class MultipleChoiceQuestionTextContent {

    @ApiModelProperty("题目")
    private String stem;

    @ApiModelProperty("选项")
    private List<String> options;

    @ApiModelProperty("答案")
    private List<String> answer;
}
