package com.ningdatech.carapi.archives.model.vo;

import com.ningdatech.carapi.driver.constant.QuestionTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/11 下午5:54
 */
@Data
@ApiModel(description = "培训题详情VO")
public class ResQuestionDetailVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("题目类型")
    private QuestionTypeEnum questionType;

    @ApiModelProperty("题干")
    private String stem;

    @ApiModelProperty("选择题选项")
    private List<String> options;

    @ApiModelProperty("选择题正确答案")
    private List<String> choiceQuestionCorrectAnswer;

    @ApiModelProperty("判断题正确答案")
    private Boolean judgmentalQuestionCorrectAnswer;

}
