package com.ningdatech.carapi.car.equipment.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_vehicle_equipment_channels")
@Data
public class NdVehicleEquipmentChannels extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 通道名称
     */
    private String name;

    /**
     * 位置
     */
    private String location;

    /**
     * 备注
     */
    private String remark;

    /**
     * 车辆设备ID
     */
    private Long equipmentId;

}
