package com.ningdatech.carapi.car.monitor.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author PoffyZhang
 * @date 2022/11/07 下午2:10
 */

@Data
@ApiModel(description = "载重监控分页PARAM DTO")
public class LoadMonitorPageParamDTO extends PagePo implements Serializable {

    @ApiModelProperty("车牌号")
    private String plateNo;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("区域ID")
    private Long regionId;
}
