package com.ningdatech.carapi.car.monitor.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.Data;
import lombok.RequiredArgsConstructor;

/**
 * @Classname SecurityMonitorExportDTO
 * @Description
 * @Date 2022/11/6 20:59
 * @Created by PoffyZhang
 */
@RequiredArgsConstructor
@Data
public class SecurityMonitorExportDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty("车牌号")
    private String carPlate;

    @ExcelProperty("车辆类型")
    private String vehicleTypeName;

    @ExcelProperty("所属企业")
    private String companyName;

    @ExcelProperty("所属区域")
    private String regionName;

    @ExcelProperty("报警类型")
    private String alarmTypeName;

    @ExcelProperty("报警级别")
    private String alarmLevelName;

    @ExcelProperty("速度")
    private BigDecimal speed;

    @ExcelProperty("报警时间")
    private String alarmTime;

    @ExcelProperty("地址")
    private String alarmAddress;

}
