package com.ningdatech.carapi.car.position.mapper;

import com.ningdatech.carapi.car.position.entity.VehiclePositionInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-17
 */
public interface VehiclePositionInfoMapper extends BaseMapper<VehiclePositionInfo> {
    List<VehiclePositionInfo> dynamicGpsTableHistorySearch(@Param("carPlate") String carPlate, @Param("startTime") LocalDateTime startTime,
                                                           @Param("endTime") LocalDateTime endTime, @Param("date") String date);
}
