package com.ningdatech.carapi.car.position.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2022/10/8 下午2:51
 */
@ApiModel(description = "实时监控gis车辆详情请求")
@Data
public class ReqRealTimeMonitorVehicleGisDetailPO {

    @ApiModelProperty("记录id")
    @NotBlank(message = "gis记录id不能为空")
    private String recordId;

}
