package com.ningdatech.carapi.car.rpt.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherSpecialOverspeed;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherSpecialOverspeedPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆超速记录 其它报表 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptOtherSpecialOverspeedMapper extends BaseMapper<RptOtherSpecialOverspeed> {

    List<RptOtherSpecialOverspeedPO> report(@Param("param") RptOtherParamDTO param);

    Page<RptOtherSpecialOverspeedPO> reportPage(Page<RptOtherSpecialOverspeedPO> page,@Param("param") RptOtherParamDTO param);
}
