package com.ningdatech.carapi.car.rpt.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptTendaysSpecialOfflineWeek;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptTendaysOfflineWeekSpecialParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptTendaysSpecialOfflineWeekPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆一周以上不上线旬报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptTendaysSpecialOfflineWeekMapper extends BaseMapper<RptTendaysSpecialOfflineWeek> {

    List<RptTendaysSpecialOfflineWeekPO> report(@Param("param") RptTendaysOfflineWeekSpecialParamDTO param);

    Page<RptTendaysSpecialOfflineWeekPO> reportPage(Page<RptTendaysSpecialOfflineWeekPO> page,@Param("param") RptTendaysOfflineWeekSpecialParamDTO param);
}
