package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptTendaysSpecialOverspeedVehicles;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptTendaysOverspeedSpecialVehiclesParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptTendaysSpecialOverspeedVehiclesPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆超速车辆情况旬报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptTendaysSpecialOverspeedVehiclesMapper extends BaseMapper<RptTendaysSpecialOverspeedVehicles> {

    List<RptTendaysSpecialOverspeedVehiclesPO> report(@Param("param") RptTendaysOverspeedSpecialVehiclesParamDTO param);
}
