package com.ningdatech.carapi.car.rpt.model.dto;

import com.ningdatech.basic.util.NdDateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Classname RptDailyOverspeedSpecialVehiclesParamDTO
 * @Description
 * @Date 2022/11/8 17:06
 * @Created by PoffyZhang
 */
@Data
public class RptDailyOverspeedSpecialVehiclesParamDTO implements Serializable {

    @ApiModelProperty("日期")
    private String date;

    @ApiModelProperty("排名")
    private Integer rank;

    @ApiModelProperty("开始超速率")
    private Integer startRate;

    @ApiModelProperty("结束超速率")
    private Integer endRate;

    private String dataScopeSql;
    private String tableName = "nd_vehicle_online_status_hour_" + NdDateUtils.format(new Date(),"yyyy_MM");

}
