package com.ningdatech.carapi.car.rpt.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 专用车辆趟次记录 其它报表
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Data
@ApiModel(value = "RptOtherSpecialTrips对象", description = "专用车辆趟次记录 其它报表")
public class RptOtherSpecialTripsVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("名称")
    @ExcelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("车辆数")
    @ExcelProperty("车辆数")
    private Integer vehicleNums;

    @ApiModelProperty("趟次")
    @ExcelProperty("趟次")
    private Long trips;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;
}
