package com.ningdatech.carapi.car.rpt.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptMonthOverspeedSpecialVehicles;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthSpecialOverspeedVehiclesParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthOverspeedSpecialVehiclesPO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthSpecialOfflinePO;

import java.util.List;

/**
 * <p>
 * 专用车辆超速月对比 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface IRptMonthOverspeedSpecialVehiclesService extends IService<RptMonthOverspeedSpecialVehicles> {

    List<RptMonthSpecialOfflinePO> reportPage(Page<RptMonthOverspeedSpecialVehiclesPO> page, RptMonthSpecialOverspeedVehiclesParamDTO param);
}
