package com.ningdatech.carapi.car.rpt.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherOnlineVehicles;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherOnlineVehiclesPO;

import java.util.List;

/**
 * <p>
 * 在线车辆统计表 其它报表 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface IRptOtherOnlineVehiclesService extends IService<RptOtherOnlineVehicles> {

    List<RptOtherOnlineVehiclesPO> report(RptOtherParamDTO param);

    Page<RptOtherOnlineVehiclesPO> reportPage(Page<RptOtherOnlineVehiclesPO> page, RptOtherParamDTO param);
}
