package com.ningdatech.carapi.car.rpt.service.impl;

import com.ningdatech.carapi.car.rpt.entity.RptDailySpecialVehiclesCompanyLaunchRate60;
import com.ningdatech.carapi.car.rpt.mapper.RptDailySpecialVehiclesCompanyLaunchRate60Mapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailySpecialVehiclesCompanyLaunchRateParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailySpecialVehiclesCompanyLaunchRate60PO;
import com.ningdatech.carapi.car.rpt.service.IRptDailySpecialVehiclesCompanyLaunchRate60Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.common.aop.BuildChildrenRegionEntity;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专用车辆企业上线率低于60日报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@Service
@RequiredArgsConstructor
public class RptDailySpecialVehiclesCompanyLaunchRate60ServiceImpl extends ServiceImpl<RptDailySpecialVehiclesCompanyLaunchRate60Mapper, RptDailySpecialVehiclesCompanyLaunchRate60> implements IRptDailySpecialVehiclesCompanyLaunchRate60Service {

    private final RptDailySpecialVehiclesCompanyLaunchRate60Mapper mapper;

    @Override
    @XmlDataScope
    @BuildChildrenRegionEntity
    public List<RptDailySpecialVehiclesCompanyLaunchRate60PO> report(RptDailySpecialVehiclesCompanyLaunchRateParamDTO param) {
        return mapper.report(param);
    }
}
