package com.ningdatech.carapi.car.trips.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 车辆单趟记录
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@Data
@ApiModel(value = "VehicleTripsCompanyVO", description = "车辆趟次记录")
public class VehicleTripsCompanyVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车辆趟次数")
    private Long vehicleTripsNums;
}
