package com.ningdatech.carapi.common.base;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 通用字段， is_del 根据需求自行添加
 * @author PoffyZhang
 */
@Getter
@Setter
public class BaseEntity implements Serializable {

    @ApiModelProperty("创建人userId")
    protected Long createBy;

    @ApiModelProperty("最后修改人userId")
    protected Long updateBy;

    @ApiModelProperty("创建时间")
    protected LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    protected LocalDateTime updateOn;
}
