package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 平安办扣分
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
@TableName("nd_company_credit_deduct")
@Data
public class NdCompanyCreditDeduct implements Serializable {

    private static final long serialVersionUID = 5515044435449828584L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    private Long companyId;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 检查指标类型
     */
    private String type;

    /**
     * 备注
     */
    private String remark;

    /**
     * 检查日期
     */
    private Timestamp checkTime;

    /**
     * 分值
     */
    private Integer score;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private Timestamp createOn;

    /**
     * 更新时间
     */
    private Timestamp updateOn;
}
