package com.ningdatech.carapi.company.entity.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname CompanySecurityCommitmentParam
 * @Description
 * @Date 2023/5/23 16:23
 * @Author PoffyZhang
 */
@Data
public class CompanySecurityCommitmentParam extends PagePo {

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("文件性质")
    private String docNature;

    @ApiModelProperty("部门名称")
    private String departmentName;

    private String dataScopeSql;
}
