package com.ningdatech.carapi.company.entity.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 公司统计
 * @author: liushuai
 * @date: 2022/10/25 10:16
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ResCompanyTotalDTO {

    /**
     * 区域名称
     */
    private String regionName;
    private String regionCode;
    private Long regionId;
    private String name;
    private Long fileId;
    /**
     * 企业数量
     */
    private Long companyCount;
    private Long count;
}
