package com.ningdatech.carapi.company.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanySecurityProductExecute;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.company.entity.dto.ResSecurityProductExecuteDTO;
import com.ningdatech.carapi.company.entity.po.CompanySecurityProductExecutePO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 安全生产制度执行 Mapper 接口
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface NdCompanySecurityProductExecuteMapper extends BaseMapper<NdCompanySecurityProductExecute> {
    /**
     * 获取分页数据
     *
     * @param executePage 分页
     * @param
     * @return 列表
     */
    Page<ResSecurityProductExecuteDTO> securityProductExecuteList(Page<ResSecurityProductExecuteDTO> executePage,
                                                                  @Param("po")CompanySecurityProductExecutePO po);
}
