package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanyCreditDeduct;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.dto.CompanyCreditDeductPageParam;

/**
 * <p>
 * 平安办扣分 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanyCreditDeductService extends IService<NdCompanyCreditDeduct> {

    /**
     * 获取扣分列表
     *
     * @param param
     * @return 扣分列表
     */
    Page<NdCompanyCreditDeduct> getCreditDeductList(CompanyCreditDeductPageParam param);

    Boolean delete(Long id);
}
