package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.NdCompanyQualityManage;
import com.ningdatech.carapi.company.entity.dto.ResQualityManageDTO;

/**
 * <p>
 * 质量通报 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanyQualityManageService extends IService<NdCompanyQualityManage> {
    /**
     * 获取分页
     * @param regionId 区域
     * @param year 年份
     * @param pageNum 当前页
     * @param pageSize 页面大小
     * @return 分页数据
     */
    Page<ResQualityManageDTO> qualityManageList(Long regionId,String year, int pageNum,int pageSize);

    boolean incrementDownCount(Long id);

    Boolean delete(Long id);
}
