package com.ningdatech.carapi.datascope.model;

import com.ningdatech.carapi.datascope.contants.DataScopeEnum;
import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * DataScopeDto
 * </p>
 *
 * @author WendyYang
 * @since 13:42 2022/11/4
 */
@Data
public class DataScopeDto {

    private DataScopeEnum dataScope;

    private List<Long> regionIds;

    private List<Long> companyIds;

    //该用户权限所能查询到的最大区域
    private RegionDTO maxRegion;

}
