package com.ningdatech.carapi.driver.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author CMM
 * @description
 * @since 2022/12/06 23:33
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "DriverAbnormalBehaviorAnalysisOverseeDTO",description = "驾驶员异常行为分析处理")
public class DriverAbnormalBehaviorAnalysisOverseeDTO implements Serializable {

    private static final long serialVersionUID = 8267690499784450167L;

    @ApiModelProperty(value = "驾驶员异常行为数据ID",required = true)
    @NotNull(message = "驾驶员异常行为数据ID不能为空!")
    private Long id;

    @ApiModelProperty(value = "督办状态 0 不督办告警 1 督办告警",required = true)
    @NotNull(message = "请传入督办状态!")
    private Integer overseeStatus;

}
