package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/26 下午5:20
 */
@ApiModel("公司星级筛选列表")
@Data
public class ReqCompanyStarPO extends PagePo {

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("所属区域id")
    private Long regionId;
}
