package com.ningdatech.carapi.driver.model.po;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/26 下午4:22
 */
@Data
@ApiModel("设置考试时间")
public class ReqSetExamTimePO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull
    @ApiModelProperty("培训组织ID")
    private Long trainingOrganizationId;

    @NotNull
    @ApiModelProperty("随机试卷ID集合")
    private List<Long> randomExamPaperId;

    @NotNull
    @ApiModelProperty("考试开始日期")
    private LocalDateTime examStartTime;

    @NotNull
    @ApiModelProperty("考试结束时间")
    private LocalDateTime examEndTime;
}
