package com.ningdatech.carapi.driver.model.vo;

import com.ningdatech.carapi.driver.model.TrainingBasicInfo;
import com.ningdatech.carapi.driver.model.TrainingExamPaperInfo;
import com.ningdatech.carapi.driver.model.TrainingMaterialOverviewInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/11 上午10:53
 */

@Data
@ApiModel(description = "培训组织详情VO")
public class ResTrainingOrganizationDetailVO {
    @ApiModelProperty("培训基础信息")
    private TrainingBasicInfo trainingBasicInfo;

    @ApiModelProperty("培训资料")
    private TrainingMaterialOverviewInfo trainingMaterialOverviewInfo;

    @ApiModelProperty("培训考试试卷")
    private TrainingExamPaperInfo trainingExamPaperInfo;

    @ApiModelProperty("培训人员")
    private List<OrganizationTrainingTrainersInfo> trainingTrainersInfoList;
}
