package com.ningdatech.carapi.gps.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author CMM
 * @since 2024/10/10 22:43
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GpsDataVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String vehicleNo;
    private Integer color;
    private String longitude;
    private String latitude;
    private String direction;
    private String gpsSpeed;
    private Long gpsTime;
}
