package com.ningdatech.carapi.homepage.entity.vo;

import com.ningdatech.basic.model.PageVo;
import com.ningdatech.carapi.driver.model.vo.BehaviourAnalysisVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CMM
 * @description
 * @since 2022/11/11 14:48
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HomepageDriverAbnormalBehaviorVo {

    @ApiModelProperty("异常行为列表")
    private PageVo<BehaviourAnalysisVO> of;

    @ApiModelProperty("异常行为总数")
    private Long abnormalBehaviorTotalNum;

    @ApiModelProperty("已督办总数")
    private Long overSeedTotalNum;

    @ApiModelProperty("已处理总数")
    private Long processedTotalNum;

    @ApiModelProperty("同比增长率")
    private String growthRate;

    @ApiModelProperty("督办率")
    private String overSeedRate;

    @ApiModelProperty("处理率")
    private String processedRate;
}
