package com.ningdatech.carapi.homepage.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @description 首页在线车辆统计Vo
 * @since 2022/11/10 15:40
 */
@Data
public class HomepageVo {
    @ApiModelProperty("车辆总数")
    private Integer vehicleNum;

    @ApiModelProperty("车辆在线数")
    private Integer onlineVehicleNum;

    @ApiModelProperty("车辆离线数")
    private Integer offlineVehicleNum;

    @ApiModelProperty("今日累计在线数")
    private Integer accumulativeOnlineNumber;

    @ApiModelProperty("车辆上线率")
    private String vehicleOnlineRate;

    @ApiModelProperty("车辆离线率")
    private String vehicleOfflineRate;

    @ApiModelProperty("车辆累积在线率")
    private String accumulativeOnlineRate;
}
