package com.ningdatech.carapi.industry.model.dto;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 通行证导出实体
 *
 * @author CMM
 * @since 2023/02/20 15:53
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PassportExportDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty("所属区域")
    private String regionName;

    @ExcelProperty("车辆所有人")
    private String vehicleOwner;

    @ExcelProperty("车牌号")
    private String carPlate;

    @ExcelProperty("车辆类型")
    private String vehicleTypeName;

    @ExcelProperty("所属企业")
    private String companyName;

    @ExcelProperty("可同行区域")
    private String accessibleArea;

    @ExcelProperty("有效期")
    private String expirationDate;

}
