package com.ningdatech.carapi.industry.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * <p>
 * LabAcceptanceCertificateListReq
 * </p>
 *
 * @author WendyYang
 * @since 14:50 2022/11/4
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LabAcceptanceCertificateListReq extends PagePo {

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("发证日期")
    private LocalDate startDate;

    @ApiModelProperty("发证日期")
    private LocalDate endDate;

    @ApiModelProperty("审核状态：0 待审核、1 已审核")
    private Integer auditStatus;
}
