package com.ningdatech.carapi.industry.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * <p>
 * PurchaseRawMaterialListReq
 * </p>
 *
 * @author WendyYang
 * @since 10:56 2022/11/9
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PurchaseListReq extends PagePo {

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("采购企业")
    private String purchaseOrg;

    @ApiModelProperty("采购开始日期")
    private LocalDate startDate;

    @ApiModelProperty("采购结束日期")
    private LocalDate endDate;

}
