package com.ningdatech.carapi.open.model;

import com.ningdatech.openapi.signature.model.AbstractOpenApiSignatureReq;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * <p>ø
 * OpenApiTestReq
 * </p>
 *
 * @author WendyYang
 * @since 18:32 2022/11/2
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OpenApiTestReq extends AbstractOpenApiSignatureReq {

    private String name;

    @NotBlank(message = "name is required")
    private String code;

}
