package com.ningdatech.carapi.qrcode.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.qrcode.entity.NdVehicleGetOn;
import com.ningdatech.carapi.qrcode.mapper.VehicleGetOnMapper;
import com.ningdatech.carapi.qrcode.service.VehicleGetOnService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-18
 */
@Service
@RequiredArgsConstructor
public class VehicleGetOnServiceImpl extends ServiceImpl<VehicleGetOnMapper, NdVehicleGetOn> implements VehicleGetOnService {

    private final VehicleGetOnMapper vehicleGetOnMapper;
    @Override
    public List<NdVehicleGetOn> selectVehicleGetOnList(List<String> carPlateList) {
        return vehicleGetOnMapper.selectVehicleGetOnList(carPlateList);
    }
}
