package com.ningdatech.carapi.report.constants;

/**
 * @return
 * @author CMM
 * @since 2023/06/07 10:27
 */
public interface ReportConstant {

    String TOTAL = "合计";
    String YEAR = "年";

    String ISSUE_LIBRARY = "发放库";
    String TRANSFER_LIBRARY = "中转库";
    String FIX_RECEIVE_LIBRARY = "固定接收库";

    String SPECIAL_VEHICLE = "专用汽车";
    String SPECIAL_VESSEL = "专用船";
    String BULK_CEMENT_TANK = "散装水泥罐";
    String CONCRETE_MIXER_TRUCK = "混凝土搅拌车";
    String CONCRETE_PUMP_TRUCK = "混凝土泵车";
    String DRY_MIX_MORTAR_TRUCK = "干混砂浆运输车";
    String DRY_MIX_MORTAR_MOVING_STORAGE = "干混砂浆移动简仓";
    String DRY_MIX_MORTAR_BACK_TANK_CAR = "干混砂浆背罐车";

    String BULK_CEMENT_SUPPLY_TEMPLATE = "散装水泥供应量统计月报表";
    String BULK_CEMENT_TRANSFER_TEMPLATE = "浙江省散装水泥中转库进出量快报";
    String BULK_CEMENT_THREE_CITY_USAGE_TEMPLATE = "温州、台州、舟山市散装水泥使用量快报";
    String CONCRETE_SUPPLY_TEMPLATE = "预拌混凝土生产及废弃物综合利用情况统计月报表";
    String MORTAR_SUPPLY_TEMPLATE = "预拌砂浆生产及废弃物综合利用情况统计月报表";
    String NON_PRO_AREAS_TEMPLATE = "非禁现区域散装水泥销售使用情况统计年报表";
    String BULK_CEMENT_LOG_FAC_STA_TEMPLATE = "散装水泥物流设施统计年报表";
    String MATERIAL_LOG_EQUIP_STA_TEMPLATE = "散装水泥、预拌混凝土、干混砂浆物流装备统计年报表";
    String BULK_CEMENT_SUPPLY_EMPTY_TEMPLATE = "散装水泥供应量统计月报表(空)";
    String BULK_CEMENT_TRANSFER_EMPTY_TEMPLATE = "浙江省散装水泥中转库进出量快报(空)";
    String BULK_CEMENT_THREE_CITY_USAGE_EMPTY_TEMPLATE = "温州、台州、舟山市散装水泥使用量快报(空)";
    String CONCRETE_SUPPLY_EMPTY_TEMPLATE = "预拌混凝土生产及废弃物综合利用情况统计月报表(空)";
    String MORTAR_SUPPLY_EMPTY_TEMPLATE = "预拌混凝土生产及废弃物综合利用情况统计月报表(空)";
    String NON_PRO_AREAS_EMPTY_TEMPLATE = "非禁现区域散装水泥销售使用情况统计年报表(空)";
    String BULK_CEMENT_LOG_FAC_STA_EMPTY_TEMPLATE = "散装水泥物流设施统计年报表(空)";
    String MATERIAL_LOG_EQUIP_STA_EMPTY_TEMPLATE = "散装水泥、预拌混凝土、干混砂浆物流装备统计年报表(空)";

    int TWELVE = 12;

    String VEHICLE_ACCIDENT_DATA_TEMPLATE = "车辆事故数据";
    String VEHICLE_ACCIDENT_DATA_TEMPLATE_EMPTY = "车辆事故数据(空)";
}
