package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("散装水泥物流设施统计年报相关数据详情VO")
public class ResBulkCementLogFacStaRelatedDataVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("年初数量(个)")
    private Integer yearBeginNum;

    @ApiModelProperty("年初容量(万吨)")
    private BigDecimal yearBeginCapacity;
}
