package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("混凝土供应量相关数据详情VO")
public class ResConcreteSupplyRelatedDataVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("三类指导目标(万立方米)")
    private BigDecimal threeCategoryGuidGoal;

    @ApiModelProperty("生产企业数量(个)")
    private Integer productionCompanyNums;

    @ApiModelProperty("年设计生产能力(万立方米)")
    private BigDecimal annualDesignProductionCapacity;
}
