package com.ningdatech.carapi.road.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CMM
 * @since 2024/10/23 10:49
 */
@Data
@ApiModel(description = "道路安全监综合态势计数据-VO")
@NoArgsConstructor
@AllArgsConstructor
public class ComprehensiveSituationVO {

    @ApiModelProperty("道路安全指数")
    private Integer roadSafetyIndex;

    @ApiModelProperty("道路评分")
    private Integer roadScore;

    @ApiModelProperty("车辆评分")
    private Integer carScore;

    @ApiModelProperty("驾驶员评分")
    private Integer driverScore;

    @ApiModelProperty("环境评分")
    private Integer environmentScore;
}
