package com.ningdatech.carapi.safe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.safe.entity.AlarmDataPicture;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
public interface AlarmDataPictureMapper extends BaseMapper<AlarmDataPicture> {

    /**
     * 批量保存用sql
     * @param list
     * @return
     */
    boolean saveBatchForSql(@Param("list") List<AlarmDataPicture> list);
}
