package com.ningdatech.carapi.safe.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.car.datascreen.model.dto.DataScreenParam;
import com.ningdatech.carapi.common.aop.BuildChildrenRegionEntity;
import com.ningdatech.carapi.company.entity.po.ResCompanyTotalPO;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import com.ningdatech.carapi.safe.entity.NdVehicleAccidentDead;
import com.ningdatech.carapi.safe.mapper.NdVehicleAccidentDeadMapper;
import com.ningdatech.carapi.safe.service.INdVehicleAccidentDeadService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Service
@RequiredArgsConstructor
public class NdAccidentServiceDeadImpl extends ServiceImpl<NdVehicleAccidentDeadMapper, NdVehicleAccidentDead>
        implements INdVehicleAccidentDeadService {

}
