package com.ningdatech.carapi.sys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.driver.constant.QuestionTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-20
 */
@Data
@TableName("nd_exam_rule")
@ApiModel(value = "ExamRule对象", description = "")
public class ExamRule implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long createBy;
    private Long updateBy;

    @ApiModelProperty("每题分数")
    private Integer perQuestionScore;

    /**
     * {@link QuestionTypeEnum}
     */
    @ApiModelProperty("题目类型")
    private String questionType;

    @ApiModelProperty("题目需要数量")
    private Integer questionCnt;

    @ApiModelProperty("所属区域")
    private Long regionId;
}
