package com.ningdatech.carapi.sys.entity.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author liuxinxin
 * @date 2022/10/20 上午11:31
 * 赋码规则行为类型
 */
@AllArgsConstructor
@Getter
public enum CodingRuleBehaviorTypeEnum {

    /**
     * 加分项
     */
    // 观看视频
    watch_video,
    // 观看材料
    watch_profile,
    // 完成考试
    complete_the_exam,

    /**
     * 扣分项
     */

    //驾驶员异常行为扣分
    //主动抓拍事件
    adas_initiative_capture_events,

    //前向碰撞报警
    forward_collision_warning,

    //车道偏离(左)报警
    lane_departure_left_warning,

    //车道偏离(右)报警
    lane_departure_right_warning,

    //频繁变道报警
    change_lanes_frequently_warning,

    //车距过近(前车)报警
    distance_too_close_warning,

    //行人碰撞报警
    pedestrian_collisions_warning,

    //不礼让行人
    no_comity_pedestrian,

    //道路标志识别事件
    road_sign_recognition_event,

    //道路标识超速报警
    road_signs_overspeed_warning,

    //路口快速通过报警
    crossroads_quickly_through_warning,

    //DSM主动抓拍事件
    dsm_initiative_capture_events,

    //探头遮挡报警
    probe_cover_alarm,

    //驾驶员人脸身份识别事件
    driver_face_identification_events,

    //换人驾驶报警
    substitution_driving_alarm,

    //超时驾驶报警
    driver_timeout_alarm,

    //疲劳驾驶报警
    fatigue_driving_alarm,

    //接打手持电话报警
    holding_a_call_alarm,

    //抽烟报警
    smoke_alarm,

    //分神驾驶报警
    distracted_driving_alarm,

    //驾驶员状态异常报警
    driver_abnormal_state_alarm,

    //未系安全带报警
    not_wearing_seatbelt_alarm,

    //驾驶员身份异常报警
    driver_abnormal_status_alarm,

    //后方接近报警
    close_behind_alarm,

    //左侧后方接近
    left_rear_near_alarm,

    //右侧后方接近报警
    right_rear_near_alarm,

    //死亡出险
    death_out_danger,
    //受伤出险
    injured_out_danger,
    //死亡事故
    death_accident,
    //受伤事故
    injured_accident,

    //// 疲劳驾驶
    //fatigue_driving,
    //// 接打电话
    //answer_and_make_calls,
    //// 抽烟驾驶
    //smoking_driving,
    //// 分神驾驶
    //distracted_driving,
    //// 超速驾驶
    //overspeed_driving,
    //// 闯禁行区域
    //breaking_the_forbidden_area,
    //// 闯红灯
    //running_a_red_light,
    //// 驾驶员异常
    //driver_abnormal,
    //// 探头遮挡
    //probe_shielding,
    //// 未系安全带
    //not_wearing_seat_belt,
    //// 双手脱离方向盘
    //get_your_hands_off_the_steering_wheel,
    //// 伤人事故
    //injuries,
    //// 闯禁行时段
    //time_for_breaking_the_ban;

}
