package com.ningdatech.carapi.sys.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * RegionDeleteReq
 * </p>
 *
 * @author WendyYang
 * @since 14:37 2022/10/12
 */
@Data
@ApiModel(description = "地区删除参数实体")
public class RegionDeleteReq {

    @ApiModelProperty("id")
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty("地区级别")
    @NotNull(message = "地区级别不能为空")
    private Integer level;

}
