package com.ningdatech.carapi.sys.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.datascreen.model.dto.DataScreenParam;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherOnlineVehiclesPO;
import com.ningdatech.carapi.company.entity.po.ResCompanyTotalPO;
import com.ningdatech.carapi.sys.entity.Company;

/**
 * <p>
 * Mapper 接口
 * 企业
 * </p>
 *
 * @author PoffyZhang
 */
@Repository
public interface CompanyMapper extends BaseMapper<Company> {

    Page<RptOtherOnlineVehiclesPO> pageVehicleNum(Page<RptOtherOnlineVehiclesPO> page,@Param("param") RptOtherParamDTO param);

    List<ResCompanyTotalPO> countByRegion(@Param("param") DataScreenParam param);

    List<ResCompanyTotalPO> countEnterpriseType(@Param("param") DataScreenParam param);
}
