package com.ningdatech.carapi.user.model.vo;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/24 下午2:21
 */
@ApiModel("用户基础信息VO")
@Data
public class UserBasicInfoVO {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("角色id")
    private Long roleId;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("驾驶员id(只有驾驶员信息时才有)")
    private Long driverId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("该用户所能看到的最大区域 权限")
    private RegionDTO maxRegion;
}
