package com.ningdatech.carapi.analysis.service.impl;

import com.ningdatech.carapi.analysis.entity.WarnAnalysisCompany;
import com.ningdatech.carapi.analysis.entity.req.WarnAnalysisListReq;
import com.ningdatech.carapi.analysis.mapper.WarnAnalysisCompanyMapper;
import com.ningdatech.carapi.analysis.service.IWarnAnalysisCompanyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 企业综合预警分析 服务实现类
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-14
 */
@Service
@RequiredArgsConstructor
public class WarnAnalysisCompanyServiceImpl extends ServiceImpl<WarnAnalysisCompanyMapper, WarnAnalysisCompany> implements IWarnAnalysisCompanyService {

    private final WarnAnalysisCompanyMapper mapper;

    @Override
    public List<WarnAnalysisCompany> listCompanyAnalysis(WarnAnalysisListReq req) {
        return mapper.listCompanyAnalysis(req);
    }

    @Override
    public Integer saveBatchXml(List<WarnAnalysisCompany> singleList) {
        return mapper.saveBatchXml(singleList);
    }
}
