package com.ningdatech.carapi.archives.model.po;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.carapi.driver.constant.QuestionTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/11 下午4:30
 */
@Data
@ApiModel(description = "培训题库列表查询入参")
public class ReqQuestionListPO extends PagePo {
    @ApiModelProperty("题目")
    private String question;

    @ApiModelProperty("试题类型")
    private QuestionTypeEnum questionType;

    @ApiModelProperty("区域id")
    private Long regionId;
}
