package com.ningdatech.carapi.archives.model.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/18 上午11:08
 */
@Data
@ApiOperation("试卷")
public class ResExamPaperVO {

    @ApiModelProperty("试卷规则")
    private ResExamRuleVO resExamRuleVO;

    @ApiModelProperty("试卷名称")
    @NotBlank
    private String examPaperName;

    @ApiModelProperty("单选题列表")
    List<ResQuestionDetailVO> singleChoiceQuestionList;

    @ApiModelProperty("多项选择题列表")
    List<ResQuestionDetailVO> multipleChoiceQuestionList;

    @ApiModelProperty("判断题列表")
    List<ResQuestionDetailVO> judgmentalQuestionList;

}
