package com.ningdatech.carapi.car.datascreen.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Classname OnlineVehicleTimesPO
 * @Description
 * @Date 2022/11/17 13:35
 * @Created by PoffyZhang
 */
@Data
public class OnlineVehicleTimesPO {

    @ApiModelProperty("年份")
    private Integer year;

    @ApiModelProperty("月份")
    private Integer month;

    @ApiModelProperty("日")
    private Integer day;

    @ApiModelProperty("小时")
    private Integer hour;

    @ApiModelProperty("总车辆数")
    private Integer vehicleNum;

    @ApiModelProperty("在线车辆数")
    private Integer onlineNum;

    @ApiModelProperty("比例")
    private BigDecimal rate;
}
