package com.ningdatech.carapi.car.datascreen.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author PoffyZhang
 * @date 2022/10/22 下午2:10
 */

@Data
@ApiModel(description = "保险公司分布-VO")
@AllArgsConstructor
@NoArgsConstructor
public class InsureDistributionStatisticsVO {
    @ApiModelProperty("车辆数")
    private Long vehicleNum;

    @ApiModelProperty("保险公司名")
    private String insureCompany;

    @ApiModelProperty("占比")
    private BigDecimal ratio;
}
