package com.ningdatech.carapi.car.datascreen.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author PoffyZhang
 * @date 2022/10/25 下午2:10
 */

@Data
@ApiModel(description = "车辆年限分布-PO")
@AllArgsConstructor
@NoArgsConstructor
public class VehicleUsefulLifeStatisticsVO {

    @ApiModelProperty("车辆数")
    private Long vehicleNum;

    @ApiModelProperty("年限范围")
    private String usefulLife;
}
