package com.ningdatech.carapi.car.equipment.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-05-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("nd_data_access_devices")
@ApiModel(value = "DataAccessDevices对象", description = "")
public class DataAccessDevices implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Long addtime;

    private Long uptime;

    private Long deltime;

    private String deviceId;

    private String name;

    private String manufacturer;

    private String model;

    private String owner;

    private String civilCode;

    private String address;

    private Integer parental;

    private String parentId;

    private Integer safetyWay;

    private Integer registerWay;

    private String certnum;

    private Integer certifiable;

    private Integer errCode;

    private String endTime;

    private Integer secrecy;

    private String ipAddress;

    private String port;

    private String password;

    private String status;

    private String longitude;

    private String latitude;

    private String resolution;

    private String firmware;

    private String channel;

    private String platformId;

    private String region;

    private String host;

    private String transport;

    private String proto;

    private String report;

    private String raddr;

    private String deviceType;

    private String uri;

    private String active;

    private String source;

    private String url;

    private String carPlate;
}
