package com.ningdatech.carapi.car.equipment.model.res;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname SipEquipmentRes
 * @Description
 * @Date 2023/3/23 14:20
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "请求车辆GPS设备信息结果返回",description = "请求车辆GPS设备信息结果返回")
public class SipEquipmentRes {

    private String device_id;
    private String name;
    private String manufacturer;
    private String model;
    private String owner;
    private String civil_code;
    private String address;
    private Integer parental;
    private String parent_id;
    private Integer safety_way;
    private Integer register_way;
    private String certnum;
    private Integer certifiable;
    private Integer err_code;
    private String end_time;
    private Integer secrecy;
    private String ip_address;
    private String port;
    private String password;
    private String status;
    private String longitude;
    private String latitude;
    private String resolution;
    private String firmware;
    private String Channel;
    private String platform_id;
    private String region;
    private String host;
    private String transport;
    private String proto;
    private String report;
    private String raddr;
    private String device_type;
    private String uri;
    private String active;
    private String source;
    private String uurlri;

}
