package com.ningdatech.carapi.car.monitor.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Classname SecurityMonitorJoin
 * @Description
 * @Date 2022/11/6 20:59
 * @Created by PoffyZhang
 */
@Data
public class SecurityMonitorJoin implements Serializable {
    @ApiModelProperty("告警事件id")
    private Long alarmId;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("事件类型")
    private String alarmType;

    @ApiModelProperty("告警时间")
    private String alarmTime;

    @ApiModelProperty("地址")
    private String alarmAddress;

    @ApiModelProperty("图片链接")
    private String pictureUrl;

    @ApiModelProperty("视频链接")
    private String videoUrl;
}
