package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptDailyOverspeedSpecialVehicles;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailyOverspeedSpecialVehiclesParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailyOverspeedSpecialVehiclesPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 超速专用车辆日报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
public interface RptDailyOverspeedSpecialVehiclesMapper extends BaseMapper<RptDailyOverspeedSpecialVehicles> {

    List<RptDailyOverspeedSpecialVehiclesPO> report(@Param("param") RptDailyOverspeedSpecialVehiclesParamDTO param);
}
