package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptDailySpecialVehiclesOverspeed;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailySpecialVehiclesOverspeedParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailySpecialVehiclesOverspeedPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆超速日报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
public interface RptDailySpecialVehiclesOverspeedMapper extends BaseMapper<RptDailySpecialVehiclesOverspeed> {

    List<RptDailySpecialVehiclesOverspeedPO> report(@Param("param") RptDailySpecialVehiclesOverspeedParamDTO param);
}
