package com.ningdatech.carapi.car.rpt.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherCrossDomainVehicles;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherCrossDomainVehiclesPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 车辆跨域情况表 其它报表 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptOtherCrossDomainVehiclesMapper extends BaseMapper<RptOtherCrossDomainVehicles> {

    List<RptOtherCrossDomainVehiclesPO> report(@Param("param") RptOtherParamDTO param);

    Page<RptOtherCrossDomainVehiclesPO> reportPage(Page<RptOtherCrossDomainVehiclesPO> page,
                                                   @Param("param") RptOtherParamDTO param);
}
