package com.ningdatech.carapi.car.rpt.model.dto;

import com.ningdatech.basic.util.NdDateUtils;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Classname RptDailyOverspeedCompanyParamDTO
 * @Description
 * @Date 2022/11/8 17:06
 * @Created by PoffyZhang
 */
@Data
public class RptDailyOverspeedCompanyParamDTO implements Serializable {

    @ApiModelProperty("日期")
    private String date;

    @ApiModelProperty("排名")
    private Integer rank;

    private Integer startRate;
    private Integer endRate;
    private String dataScopeSql;
    private String tableName = "nd_vehicle_online_status_hour_" + NdDateUtils.format(new Date(),"yyyy_MM");

}
