package com.ningdatech.carapi.car.rpt.service.impl;

import com.ningdatech.carapi.car.rpt.entity.RptDailyOperatorVehiclesLaunchRate;
import com.ningdatech.carapi.car.rpt.mapper.RptDailyOperatorVehiclesLaunchRateMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailyOperatorVehiclesLaunchRateParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailyOperatorVehiclesLaunchRatePO;
import com.ningdatech.carapi.car.rpt.service.IRptDailyOperatorVehiclesLaunchRateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 运营商车辆上线率日报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@Service
@RequiredArgsConstructor
public class RptDailyOperatorVehiclesLaunchRateServiceImpl extends ServiceImpl<RptDailyOperatorVehiclesLaunchRateMapper, RptDailyOperatorVehiclesLaunchRate> implements IRptDailyOperatorVehiclesLaunchRateService {

    private final RptDailyOperatorVehiclesLaunchRateMapper mapper;

    @Override
    @XmlDataScope
    public List<RptDailyOperatorVehiclesLaunchRatePO> report(RptDailyOperatorVehiclesLaunchRateParamDTO param) {
        return mapper.report(param);
    }
}
