package com.ningdatech.carapi.car.rpt.service.impl;

import com.ningdatech.carapi.car.rpt.entity.RptDailyOverspeedSpecialVehicles;
import com.ningdatech.carapi.car.rpt.mapper.RptDailyOverspeedSpecialVehiclesMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailyOverspeedSpecialVehiclesParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailyOverspeedSpecialVehiclesPO;
import com.ningdatech.carapi.car.rpt.service.IRptDailyOverspeedSpecialVehiclesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 超速专用车辆日报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@Service
@RequiredArgsConstructor
public class RptDailyOverspeedSpecialVehiclesServiceImpl extends ServiceImpl<RptDailyOverspeedSpecialVehiclesMapper, RptDailyOverspeedSpecialVehicles> implements IRptDailyOverspeedSpecialVehiclesService {

    private final RptDailyOverspeedSpecialVehiclesMapper mapper;

    @Override
    @XmlDataScope
    public List<RptDailyOverspeedSpecialVehiclesPO> report(RptDailyOverspeedSpecialVehiclesParamDTO param) {
        return mapper.report(param);
    }
}
