package com.ningdatech.carapi.car.rpt.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptMonthOverspeedSpecialVehicles;
import com.ningdatech.carapi.car.rpt.mapper.RptMonthOverspeedSpecialVehiclesMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthSpecialOverspeedVehiclesParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthOverspeedSpecialVehiclesPO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthSpecialOfflinePO;
import com.ningdatech.carapi.car.rpt.service.IRptMonthOverspeedSpecialVehiclesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专用车辆超速月对比 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptMonthOverspeedSpecialVehiclesServiceImpl extends ServiceImpl<RptMonthOverspeedSpecialVehiclesMapper, RptMonthOverspeedSpecialVehicles> implements IRptMonthOverspeedSpecialVehiclesService {

    private final RptMonthOverspeedSpecialVehiclesMapper mapper;

    @Override
    public List<RptMonthSpecialOfflinePO> reportPage(Page<RptMonthOverspeedSpecialVehiclesPO> page, RptMonthSpecialOverspeedVehiclesParamDTO param) {
        return mapper.reportPage(page,param);
    }
}
