package com.ningdatech.carapi.car.trips.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.car.trips.entity.VehicleTripsCity;
import com.ningdatech.carapi.car.trips.entity.VehicleTripsCompany;
import com.ningdatech.carapi.car.trips.model.dto.VehicleTripsParamDTO;

import java.util.List;

/**
 * <p>
 * 车辆单趟记录 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
public interface IVehicleTripsCityService extends IService<VehicleTripsCity> {
    Page<VehicleTripsCity> pageCity(Page<VehicleTripsCity> page, List<Long> regionIds,
                                    String startTime, String endTime);

    Page<VehicleTripsCity> pageCityGetOn(Page<VehicleTripsCity> page,
                                         VehicleTripsParamDTO param);

    Page<VehicleTripsCompany> pageCityGetOnCompany(Page<VehicleTripsCompany> page,
                                                   VehicleTripsParamDTO param);
}
