package com.ningdatech.carapi.common.contants;


import com.ningdatech.basic.util.StrPool;

/**
 * 默认值
 *
 * @author PoffyZhang
 */
public interface DefValConstants {

    /**
     * 默认的根节点path
     */
    String ROOT_PATH = StrPool.COMMA;
    /**
     * 默认树层级
     */
    Integer TREE_GRADE = 0;
    /**
     * 默认的父id
     */
    Long PARENT_ID = 0L;
    /**
     * 默认的排序
     */
    Integer SORT_VALUE = 0;
    /**
     * 字典占位符
     */
    String DICT_PLACEHOLDER = "###";
    /**
     * 浙江省的region_id
     */
    Long ZJREGION_ID = 116L;
    Long SYSTEM_ID = 1L;
    String ZJ_PROVINCE = "浙江省";
    String PROVINCE = "省";

    /**
     * 城市 level
     */
    Integer CITY_REGION_LEVEL = 2;

    /**
     * 区的 level
     */
    Integer QU_REGION_LEVEL = 3;

    /**
     * 驾驶员异常数据GPS字符串起始偏移量
     */
    Integer GPS_START_OFFSET = 5;

    /**
     * 驾驶员异常数据GPS字符串结尾偏移量
     */
    Integer GPS_END_OFFSET = 69;

    /**
     * 新增线下驾驶员培训,发送短信模板
     */
    String OFFLINE_MESSAGE_TEMPLATE = "{%s}您好：{散办名称}组织了关于{培训主题}的{培训模式}培训，培训时间为{培训开始 至 结束时间}，培训地点为{培训地点：线下培训时显示}，培训链接{生成培训链接，点击后跳转培训页面}，请准时参加培训。联系人：{联系人}，联系电话：{联系电话}，考证号：{准考证号}.";

    /**
     * 新增线上驾驶员培训,发送短信模板
     */
    String ONLINE_MESSAGE_TEMPLATE = "{%s}您好：{散办名称}组织了关于{培训主题}的{培训模式}培训，培训时间为{培训开始 至 结束时间}，培训链接{生成培训链接，点击后跳转培训页面}，请准时参加培训。联系人：{联系人}，联系电话：{联系电话}，考证号：{准考证号}.";

    /**
     * SQL查询一条
     */
    String LIMIT_1 = " limit 1";
    /**
     * 随机试卷
     */
    String RANDOM_PAPER = "随机试卷";
    /**
     * 随机试卷ID
     */
    Long RANDOM_EXAM_PAPER_ID = 0L;
    /**
     * 线上培训
     */
    String ONLINE = "线上";
    /**
     * 线下培训
     */
    String OFFLINE = "线下";
    /**
     * 取证培训
     */
    String FORENSIC_REGISTRATION_TRAINING = "取证培训";
    /**
     * 继续教育
     */
    String CONTINUING_EDUCATION_TRAINING = "继续教育";
    /**
     * 换证培训
     */
    String REPLACEMENT_REGISTRATION_TRAINING = "换证培训";
    /**
     * 转码培训
     */
    String TRANSCODING_TRAINING = "转码培训";
    /**
     * 通道
     */
    String TONG_DAO = "通道";

    /**
     * 隧道回放
     */
    String SUI_DAO_PLAY_BACK = "tunnel-play-back";
    /**
     * 驾驶员实时回放
     */
    String DRIVER_REAL_TIME_PLAY_BACK = "driver-real-time-play-back";
    /**
     * 驾驶员远程回放
     */
    String DRIVER_REMOTE_PLAY_BACK = "driver-remote-play-back";
}
