package com.ningdatech.carapi.common.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
 * <p>
 * MapDataVo
 * </p>
 *
 * @author WendyYang
 * @since 20:09 2022/11/16
 */
@Data
@Builder
public class MapDataVO {

    @Tolerate
    public MapDataVO() {
    }

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域编码")
    private String regionCode;

    @ApiModelProperty("数量")
    private Integer value;

    @ApiModelProperty("百分比")
    private String percent;

}
