package com.ningdatech.carapi.common.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.math.BigDecimal;

/**
 * <p>
 * MapDataVo
 * </p>
 *
 * @author WendyYang
 * @since 20:09 2022/11/16
 */
@Data
@Builder
public class MapDataPO {

    @Tolerate
    public MapDataPO() {
    }

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域编码")
    private String regionCode;

    @ApiModelProperty("数量")
    private Integer value;

    @ApiModelProperty("百分比")
    private String percent;

    @ApiModelProperty("最高速率")
    private BigDecimal maxSpeed;

    @ApiModelProperty("车牌号")
    private String carPlate;

}
