package com.ningdatech.carapi.company.entity.dto;

import lombok.Data;

import java.sql.Timestamp;

/**
 * @description: 生成责任体系响应
 * @author: liushuai
 * @date: 2022/10/11 14:55
 */
@Data
public class ResSecurityProductDutyDTO {
    /**
     * 区域
     */
    private Long regionId;
    private String regionName;

    /**
     * 企业
     */
    private Long companyId;
    private String companyName;

    /**
     * 文件地址
     */
    private String filePath;

    /**
     * 文件类型
     */
    private Integer fileType;

    /**
     * 创建日期
     */
    private Timestamp createOn;
}
