package com.ningdatech.carapi.company.mapper;

import java.time.LocalDateTime;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.company.entity.CompanyVehicleNotGetOn;
import com.ningdatech.carapi.company.entity.dto.ReqNotGetOnCarDTO;
import com.ningdatech.carapi.company.entity.po.CompanyVehicleNotGetOnPO;

/**
 * <p>
 * 上车表 Mapper 接口
 * </p>
 *
 * @author CMM
 * @since 2023-01-10
 */
public interface CompanyVehicleNotGetOnMapper extends BaseMapper<CompanyVehicleNotGetOn> {
    List<CompanyVehicleNotGetOnPO> getNotOnCarList(@Param("param") ReqNotGetOnCarDTO param);

    String checkDataExistByDay(LocalDateTime queryTime);

    void saveBatchNotGetOnList(@Param("singleList") List<CompanyVehicleNotGetOn> singleList);
}
