package com.ningdatech.carapi.company.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanySecurityProductDuty;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.company.entity.dto.ResQualityManageDTO;
import com.ningdatech.carapi.company.entity.dto.ResSecurityProductDutyDTO;
import com.ningdatech.carapi.company.entity.po.CompanySecurityProductDutyPO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 安全生产责任体系 Mapper 接口
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface NdCompanySecurityProductDutyMapper extends BaseMapper<NdCompanySecurityProductDuty> {
    /**
     * 获取分页数据
     *
     * @param dutyPage  分页
     * @return 列表
     */
    Page<ResSecurityProductDutyDTO> securityProductDutyList(Page<ResSecurityProductDutyDTO> dutyPage,
                                                            @Param("po")CompanySecurityProductDutyPO po);
}
