package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.CompanySecurityProductExecute;
import com.ningdatech.carapi.company.entity.dto.CompanySecurityProductExecuteParam;

import java.util.List;

/**
 * <p>
 * 安全生产制度执行 服务类
 * </p>
 *
 * @author CMM
 * @since 2023-05-24
 */
public interface ICompanySecurityProductExecuteFileService extends IService<CompanySecurityProductExecute> {

    Page<CompanySecurityProductExecute> pageDataScope(Page<CompanySecurityProductExecute> page, LambdaQueryWrapper<CompanySecurityProductExecute> wrapper, CompanySecurityProductExecuteParam param);

    List<CompanySecurityProductExecute> dataScopeList(LambdaQueryWrapper<CompanySecurityProductExecute> wrapper, CompanySecurityProductExecuteParam param);

    void deleteById(Long id);

    Boolean incrementDownCount(Long id);
}
