package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.CompanySecurityProductRegulation;
import com.ningdatech.carapi.company.entity.dto.CompanySecurityProductRegulationParam;

import java.util.List;

/**
 * <p>
 * 安全生产制度体系 服务类
 * </p>
 *
 * @author CMM
 * @since 2023-05-24
 */
public interface ICompanySecurityProductRegulationsFileService extends IService<CompanySecurityProductRegulation> {

    Page<CompanySecurityProductRegulation> pageDataScope(Page<CompanySecurityProductRegulation> page, LambdaQueryWrapper<CompanySecurityProductRegulation> wrapper, CompanySecurityProductRegulationParam param);

    List<CompanySecurityProductRegulation> dataScopeList(LambdaQueryWrapper<CompanySecurityProductRegulation> wrapper, CompanySecurityProductRegulationParam param);

    void deleteById(Long id);
}
