package com.ningdatech.carapi.datascope.provider;


import com.ningdatech.carapi.datascope.model.DataScopeDto;

import java.util.List;
import java.util.Optional;

/**
 * <p>
 * 数据权限获取接口
 * </p>
 *
 * @author WendyYang
 * @since 2022/1/9 23:28
 */
public interface DataScopeProvider {

    /**
     * 获取登录人的数据权限
     *
     * @return 数据权限
     **/
    Optional<DataScopeDto> findDataFieldProperty();

}
