package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.carapi.driver.constant.ArticleTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/10/9 下午4:54
 */
@Data
@ApiModel(description = "文章列表查询")
public class ReqArticleInfoListPO extends PagePo {

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("截止时间")
    private LocalDateTime endTime;

    @ApiModelProperty("文章类型")
    private ArticleTypeEnum articleType;
}
