package com.ningdatech.carapi.driver.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/11/3 下午2:32
 */
@Data
@ApiModel("驾驶员跳槽申请PO")
public class ReqChangedJobPO {

    @NotNull
    @ApiModelProperty("跳槽目标公司id")
    private Long newCompanyId;

    @NotNull
    @ApiModelProperty("驾驶员id")
    private Long driverId;
}
