package com.ningdatech.carapi.driver.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/10/9 下午5:50
 */
@Data
@ApiModel("驾驶员入职请求入参")
public class ReqDriverInductionPO {

    @ApiModelProperty("驾驶员ID")
    @NotNull(message = "驾驶员ID不能为空")
    private Long driverId;

    @ApiModelProperty("要入职的新公司的ID")
    @NotNull
    private Long newCompanyId;

    //@ApiModelProperty("驾驶员姓名")
    //@NotBlank(message = "驾驶员姓名不能为空")
    //private String driverName;
    //
    //@ApiModelProperty("性别")
    //@NotNull(message = "性别不能为空")
    //private Integer gender;
    //
    //@ApiModelProperty("身份证号")
    //@NotBlank(message = "身份证号不能为空")
    //private String idCard;
    //
    //@ApiModelProperty("出生年月")
    //@NotNull(message = "出生年月不能为空")
    //private LocalDateTime birth;
    //
    //@ApiModelProperty("籍贯")
    //@NotBlank(message = "籍贯不能为空")
    //private String nativePlace;
    //
    //@ApiModelProperty("手机号码")
    //@NotBlank(message = "手机号码不能为空")
    //private String phoneNo;
    //
    //@ApiModelProperty("文化程度")
    //@NotBlank(message = "文化程度不能为空")
    //private String edu;
    //
    //@ApiModelProperty("违章次数")
    //private Integer violationsCount;
    //
    //@ApiModelProperty("驾驶员证号")
    //private String driverLicenseNo;
    //
    //@ApiModelProperty("驾驶证类型")
    //private String driverLicenseType;
    //
    //@ApiModelProperty("驾驶证号生效日期")
    //private LocalDateTime driverLicenseEffectiveDate;
    //
    //@ApiModelProperty("驾驶证号失效日期")
    //private LocalDateTime driverLicenseExpiryDate;
    //
    //@ApiModelProperty("从业资格证号")
    //private String qualificationCertificateNo;
    //
    //@ApiModelProperty("从业资格证生效日期")
    //private LocalDateTime qualificationCertificateNoEffectiveDate;
    //
    //@ApiModelProperty("从业资格证失效日期")
    //private LocalDateTime qualificationCertificateNoExpiryDate;
    //
    //@ApiModelProperty("服务企业唯一标识id")
    //private Long companyId;
    //
    //@ApiModelProperty("企业名称")
    //private String companyName;
}
