package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/11/9 上午9:28
 */
@Data
@ApiModel("驾驶员分数列表请求PO")
public class ReqScoreListPO extends PagePo {

    @NotNull
    @ApiModelProperty("驾驶员id")
    private Long driverId;
}
