package com.ningdatech.carapi.driver.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author CMM
 * @description
 * @since 2022/12/07 10:58
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DriverAbnormalBehaviorAnalysisDetailVO {

    @ApiModelProperty("异常行为数据ID")
    private Long id;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("告警类型名称")
    private String alarmTypeName;

    @ApiModelProperty("告警类型")
    private Integer alarmType;

    @ApiModelProperty("告警级别")
    private String alarmLevel;

    @ApiModelProperty("车速")
    private Integer speed;

    @ApiModelProperty("告警时间")
    private LocalDateTime alarmTime;

    @ApiModelProperty("告警地址")
    private String alarmAddress;

    @ApiModelProperty("告警图片附件")
    private String alarmPictureAppendix;

    @ApiModelProperty("告警视频附件")
    private String alarmVideoAppendix;

    @ApiModelProperty("驾驶员当日告警事件列表")
    private List<DriverDailyAlarmEvent> alarmEventList;
}
