package com.ningdatech.carapi.driver.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/9 下午1:59
 */

@Data
@ApiModel(description = "驾驶员黑名单列表展示VO")
public class ResDriverBlackListVO {

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("所属企业id")
    private Long companyId;

    @ApiModelProperty("所属企业")
    private String companyName;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("年度")
    private String year;

    @ApiModelProperty("超速累计次数")
    private Long accumulatedOverspeedCnt;

    @ApiModelProperty("出险累计次数")
    private Long accumulatedAccidentsCnt;

    @ApiModelProperty("违章累计次数")
    private Long accumulatedViolationsCnt;

    @ApiModelProperty("累计伤人次数")
    private Long accumulatedHurtCnt;

    @ApiModelProperty("累计亡人次数")
    private Long accumulatedDeathCnt;

}
