package com.ningdatech.carapi.driver.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 培训组织培训人员实体类
 *
 * @author CMM
 * @since 2023/02/21 16:46
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResTrainingOrgTrainerVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("驾驶员用户id")
    private Long driverUserId;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("证件是否到期")
    private Boolean certificateExpireFlag;

}
