package com.ningdatech.carapi.industry.contants;

public interface CertificateContant {

    public final static Integer OPERATION_TYPE_APPCATION = 1;

    public final static String OPERATION_TYPE_APPCATION_NAME = "申请";

    public final static Integer OPERATION_TYPE_REISSUE = 2;

    public final static String OPERATION_TYPE_REISSUE_NAME = "补换";

    public final static Integer AUDIT_FLAG = 0;
    public final static Integer AUDIT_PASS_FLAG = 1;



    class ScoringRubric{
        /**
         * 上传资质评分细则
         */
        public final static String UPLOAD_QUALIFICATION_SCORING_RUBRIC = "服务商只能上传散装水泥专用车辆，且授权服务的车辆的卫星定位数据，不得违规上传。判定标准: 不满足要求的上传数据为不合格数据";
        /**
         * 上传频率数量评分细则
         */
        public final static String UPLOAD_FREQUENCY_QUANTITY_SCORING_RUBRIC = "卫星定位数据上传间隔： 在点火状态下，车辆上传间隔为每15~20秒1条；在熄火状态下，车辆上传间隔为每14~16分钟1条。车辆熄火后终端至少需要传输2小时熄火定位数据。判定标准: 计算不满足要求的程度，超过一定程度，则认为当天数据不合格。若当天上传数据总量少于60条或大于10000条，也认为当天数据不合格。〔缺失的定义: 点火状态下30秒以上未上传，熄火状态下16分钟以上未上传. 冗余的定义: 点火状态下15秒以内上传，熄火状态下14分钟以内上传〕";
        /**
         * 字段完整性评分细则
         */
        public final static String FIELD_INTEGRITY_SCORING_RUBRIC = "上传的卫星定位数据中速度、经度、纬度、高度、方向、时间，仪表盘速度、里程计读数，状态码、警报码、营运商编号字段不能为空。判定标准: 存在以上重要字段缺失，则认为该数据不合格";
        /**
         * 时效性评分细则
         */
        public final static String TIME_SENSITIVE_SCORING_RUBRIC = "上传的卫星定位数据的观测时间不得晚于监管平台服务端的接收时间，监管平台服务端数据接收时间不能延迟1分钟以上。判定标准: 不满足以上任一要求，则认为该数据不合格";
        /**
         * 位置及方向的正确性、一致性评分细则
         */
        public final static String POSITION_DIRECTION_CORRECTNESS_CONSISTENCY_SCORING_RUBRIC = "上传的卫星定位数据的经纬度在中国范围内;位置必须真实有效;不能遗漏必要数据;熄火状态或定位速度为0时,前后距离变化在5公里内;海拔要求在-200米至6000米; 方向要求0度至359度且数值取整。判定标准:不满足以上任一要求，则认为该数据不合格";
        /**
         * 速度的正确性、一致性评分细则
         */
        public final static String SPEED_CORRECTNESS_CONSISTENCY_SCORING_RUBRIC = "上传的卫星定位数据的速度、仪表盘速度要求符合0千米/小时至160千米/小时，必须上传真实有效的仪表盘速度。判定标准: 不满足以上任一要求，则认为该数据不合格";
        /**
         * 时间一致性评分细则
         */
        public final static String TIME_CONSISTENCY_SCORING_RUBRIC = "定位数据上传时间小于保存时间。判定标准:不满足以上任一要求，将认为该数据不合格。上传的卫星定位数据的观测时间晚于监管平台服务端的接收时间的记录超过5条，则判定车辆当日不合格";
        /**
         * 位置一致性评分细则
         */
        public final static String POSITION_CONSISTENCY_SCORING_RUBRIC = "相邻“两点定位”直线距离不能超过25km。判定标准:不满足以上任一要求，将认为该数据不合格。如果两条相邻记录的距离超过25km则判定车辆当日不合格";
    }
}
