package com.ningdatech.carapi.industry.model.dto;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 驾驶员培训合格证导出实体
 *
 * @author CMM
 * @since 2023/02/20 15:27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DriverTrainingCertificateExportDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty("所属区域")
    private String regionName;

    @ExcelProperty("驾驶员姓名")
    private String driverName;

    @ExcelProperty("身份证号")
    private String idCard;

    @ExcelProperty("所属企业")
    private String companyName;

    @ExcelProperty("培训时间")
    private String trainingTime;

    @ExcelProperty("培训结果")
    private String trainingResult;

    @ExcelProperty("有效时间")
    private String effectiveTime;

    @ExcelProperty("培训项目")
    private String trainingProgram;
}

