package com.ningdatech.carapi.industry.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 运营商考核详情导出实体类
 *
 * @author CMM
 * @since 2023/01/16 10:06
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class OperatorsAssessmentDetailsExportDTO {

    @ExcelProperty(value = "序号")
    private String id;

    @ExcelProperty(value = "考核指标名称")
    private String assessmentIndicators;

    @ExcelProperty(value = "评分细则")
    private String scoringRubric;

    @ExcelProperty(value = "指标分值")
    private String indexScore;

    @ExcelProperty(value = "实际得分")
    private String actualScore;
}
