package com.ningdatech.carapi.industry.model.dto;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆年检年审记录导出实体类
 *
 * @author CMM
 * @since 2023/02/20 14:54
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VehicleAnnualInspectionExportDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty("所属区域")
    private String regionName;

    @ExcelProperty("所属企业")
    private String companyName;

    @ExcelProperty("车牌号")
    private String carPlate;

    @ExcelProperty("车辆类型")
    private String vehicleTypeName;

    @ExcelProperty("年检记录")
    private String inspectionRecords;

}
