package com.ningdatech.carapi.industry.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运营商考核分数详情
 *
 * @author CMM
 * @since 2023/01/04 16:00
 */
@Data
public class OperatorScoreDetailVO {

    @ApiModelProperty(value = "运营商考核总分")
    private Integer totalScore;

    @ApiModelProperty(value = "上传资质指标分值")
    private Integer uploadQualificationIndex;

    @ApiModelProperty(value = "上传资质实际分值")
    private Integer uploadQualification;

    @ApiModelProperty(value = "上传资质指标名称")
    private String uploadQualificationName;

    @ApiModelProperty(value = "上传频率、数量指标分值")
    private Integer uploadFrequencyQuantityIndex;

    @ApiModelProperty(value = "上传频率、数量实际分值")
    private Integer uploadFrequencyQuantity;

    @ApiModelProperty(value = "上传频率、数量指标名称")
    private String uploadFrequencyQuantityName;

    @ApiModelProperty(value = "字段完整性指标分值")
    private Integer fieldIntegrityIndex;

    @ApiModelProperty(value = "字段完整性实际分值")
    private Integer fieldIntegrity;

    @ApiModelProperty(value = "字段完整性指标名称")
    private String fieldIntegrityName;

    @ApiModelProperty(value = "时效性指标分值")
    private Integer timeSensitiveIndex;

    @ApiModelProperty(value = "时效性实际分值")
    private Integer timeSensitive;

    @ApiModelProperty(value = "时效性指标名称")
    private String timeSensitiveName;

    @ApiModelProperty(value = "位置及方向的正确性、一致性指标分值")
    private Integer positionDirectionCorrectnessConsistencyIndex;

    @ApiModelProperty(value = "位置及方向的正确性、一致性实际分值")
    private Integer positionDirectionCorrectnessConsistency;

    @ApiModelProperty(value = "位置及方向的正确性、一致性指标名称")
    private String positionDirectionCorrectnessConsistencyName;

    @ApiModelProperty(value = "速度的正确性、一致性指标分值")
    private Integer speedCorrectnessConsistencyIndex;

    @ApiModelProperty(value = "速度的正确性、一致性实际分值")
    private Integer speedCorrectnessConsistency;

    @ApiModelProperty(value = "速度的正确性、一致性指标名称")
    private String speedCorrectnessConsistencyName;

    @ApiModelProperty(value = "时间一致性指标分值")
    private Integer timeConsistencyIndex;

    @ApiModelProperty(value = "时间一致性实际分值")
    private Integer timeConsistency;

    @ApiModelProperty(value = "时间一致性指标名称")
    private String timeConsistencyName;

    @ApiModelProperty(value = "位置一致性指标分值")
    private Integer  positionConsistencyIndex;

    @ApiModelProperty(value = "位置一致性实际分值")
    private Integer  positionConsistency;

    @ApiModelProperty(value = "位置一致性指标名称")
    private String  positionConsistencyName;
}
