package com.ningdatech.carapi.irs.model.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-05-12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("nd_vehicle_violation_irs_data")
@ApiModel(value = "VehicleViolationIrsData对象", description = "")
public class VehicleViolationIrsData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆违章时间")
    private LocalDateTime violationTime;

    @ApiModelProperty("irs返回车辆违章数据字符串")
    private String jsonStrData;

    @ApiModelProperty("车辆违章类型")
    private String violationType;

    @ApiModelProperty("车辆违章种类")
    private String violationKind;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;
}
