package com.ningdatech.carapi.radar.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2024-11-13
 */
@TableName("nd_radar_original_data")
@ApiModel(value = "RadarOriginalData对象", description = "")
@Data
public class RadarOriginalData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("盒子推送的雷达数据")
    private String data;

    @ApiModelProperty("盒子对应的ip")
    private String armIp;

    @ApiModelProperty("数据类型")
    private String dataType;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;
}
