package com.ningdatech.carapi.radar.model.vo;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CMM
 * @since 2024/10/23 10:49
 */
@Data
@ApiModel(description = "道路监控驾驶舱雷达流量数据-VO")
@NoArgsConstructor
@AllArgsConstructor
public class RadarTrafficFlowDataVO {

    @ApiModelProperty("实时车流量")
    private String realTimeTrafficFlow;

    @ApiModelProperty("平均车速")
    private String averageCarSpeed;

    @ApiModelProperty("最大排队长度")
    private String maxQueueLength;

    @ApiModelProperty("上报时间")
    private LocalDateTime updateOn;
}
