package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("散装水泥、预拌混凝土、干混砂浆物流装备统计年报相关数据详情VO")
public class ResMaterialLogEquipStaRelatedDataVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("年初数量(辆、个)")
    private Integer yearBeginNum;

    @ApiModelProperty("年初额定量(吨、立方米)")
    private BigDecimal yearBeginNominalRate;
}
