package com.ningdatech.carapi.road.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author FangShiBa
 * @apiNote
 * @since 2024/11/20
 */
@Data
@ApiModel(description = "综合态势评分-VO")
@NoArgsConstructor
@AllArgsConstructor
public class RoadScoreVO {


    @ApiModelProperty("隧道 1 黄山隧道、2 何里隧道")
    private Integer tunnel;

    @ApiModelProperty("道路安全指数")
    private Integer roadSafetyIndex;

    @ApiModelProperty("道路评分")
    private Integer roadScore;

    @ApiModelProperty("车辆评分")
    private Integer carScore;

    @ApiModelProperty("驾驶员评分")
    private Integer driverScore;

    @ApiModelProperty("环境评分")
    private Integer environmentScore;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;
}
