package com.ningdatech.carapi.road.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author FangShiBa
 * @apiNote
 * @since 2024/11/20
 */
@Data
@ApiModel(description = "车流量-VO")
@NoArgsConstructor
@AllArgsConstructor
public class TrafficFlowVO {

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域 (1-黄山隧道义务方向 2-黄山隧道东阳方向 3-何里隧道)")
    private Integer region;

    @ApiModelProperty("车流量")
    private String trafficFlow;
}
