package com.ningdatech.carapi.safe.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;


@Data
@ApiModel(value = "安全通报新增实体")
public class NdSecurityNoticeSaveReq {

    @ApiModelProperty("区域Id")
    @NotNull(message = "区域Id不能为空")
    private Long regionId;

    @ApiModelProperty("年月")
    @NotNull(message = "年月不能为空")
    private LocalDateTime yearMonth;

    @ApiModelProperty("文件ID")
    @NotNull(message = "文件ID不能为空")
    private Long fileId;

    @ApiModelProperty("文件名")
    @NotNull(message = "文件名不能为空")
    private String fileName;



}
