package com.ningdatech.carapi.safe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.safe.entity.NdInsureOutDanger;
import com.ningdatech.carapi.safe.entity.NdInsureOutDangerAnalysis;
import com.ningdatech.carapi.safe.model.dto.InsurePageQuery;
import com.ningdatech.carapi.safe.model.po.NdInsureOutDangerAnalysisPO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
public interface NdInsureOutDangerAnalysisMapper extends BaseMapper<NdInsureOutDangerAnalysis> {

    Page<NdInsureOutDangerAnalysisPO> pageAnalysis(Page<NdInsureOutDangerAnalysisPO> page, @Param("po") InsurePageQuery param);
}
