package com.ningdatech.carapi.safe.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdVehicleAccidentDTO", description = "安全管理-事故管理-车辆事故")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleAccidentDTO  implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 事故时间
     */
    @ApiModelProperty("事故时间")
    private String accidentTime;


    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 事故驾驶员
     */
    @ApiModelProperty("事故驾驶员")
    private String accidentDriver;


    /**
     * 车辆类型名
     */
    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 事故地址
     */
    @ApiModelProperty("事故地址")
    private String accidentAddress;

    /**
     * 上报状态名称
     */
    @ApiModelProperty("上报状态名称")
    private String reportStatusName;

    /**
     * 事故类型名称
     */
    @ApiModelProperty("事故类型名称")
    private String accidentTypeName;

    /**
     * 伤人数
     */
    @ApiModelProperty("伤人数")
    private Integer injuries;

    /**
     * 亡人数
     */
    @ApiModelProperty("亡人数")
    private Integer deathToll;

    /**
     * 简要案情
     */
    @ApiModelProperty("简要案情")
    private String briefCase;

    /**
     * 事故编号
     */
    @ApiModelProperty("事故编号")
    private String accidentNo;

    /**
     * 事故责任认定书认定内容
     */
    @ApiModelProperty("事故责任认定书认定内容")
    private String firmContent;


}
