package com.ningdatech.carapi.safe.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.safe.entity.NdSecurityAdvisory;
import com.ningdatech.carapi.safe.model.dto.SecurityAdvisoryPageQuery;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
public interface INdSecurityAdvisoryService extends IService<NdSecurityAdvisory> {

    boolean incrementDownCount(Long id);

    void deleteById(Long id);

    List<NdSecurityAdvisory> dataScopeList(LambdaQueryWrapper<NdSecurityAdvisory> wrapper, SecurityAdvisoryPageQuery securityAdvisoryPageQuery);
}
