package com.ningdatech.carapi.safe.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.safe.entity.AlarmDataPicture;
import com.ningdatech.carapi.safe.mapper.AlarmDataPictureMapper;
import com.ningdatech.carapi.safe.service.IAlarmDataPictureService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Service
@RequiredArgsConstructor
public class AlarmDataPictureServiceImpl extends ServiceImpl<AlarmDataPictureMapper, AlarmDataPicture>
        implements IAlarmDataPictureService {

    private final AlarmDataPictureMapper alarmDataPictureMapper;

    @Override
    public boolean saveBatchForSql(List<AlarmDataPicture> list) {
        return alarmDataPictureMapper.saveBatchForSql(list);
    }
}
