package com.ningdatech.carapi.sys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-15
 */
@TableName("nd_meta_apply")
@Data
@ApiModel(value = "MetaApply对象", description = "")
public class MetaApply implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    @ApiModelProperty("审核记录所属用户id")
    private Long userId;

    @ApiModelProperty("审核类型")
    private String applyType;

    @ApiModelProperty("审核状态")
    private String applyStatus;

    @ApiModelProperty("发起审核时间")
    private LocalDateTime applyTime;

    @ApiModelProperty("审核时间")
    private LocalDateTime reviewTime;

    @ApiModelProperty("审核意见")
    private String auditOpinion;

    @ApiModelProperty("审核员id")
    private Long approverUserId;

    @ApiModelProperty("审核员姓名（冗余字段）")
    private String approver;

    @ApiModelProperty("发起审核人id")
    private Long applicantId;

    @ApiModelProperty("发起审核人姓名")
    private String applicant;

    @ApiModelProperty("额外材料")
    private String extraMaterial;

    @ApiModelProperty("是否展示")
    private String displayEnable;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("申请类型")
    private Integer applicantType;

    @ApiModelProperty("意向跳槽企业ID")
    private Long jobChangeCompanyId;
}
