package com.ningdatech.carapi.sys.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;
import java.io.Serializable;

/**
 * <p>
 * 实体类
 * 运营商
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "OperatorRegionHeadSaveDTO", description = "运营商")
public class OperatorRegionHeadSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 区域负责人
     */
    @ApiModelProperty(value = "区域负责人")
    private String regionalHead;

    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id")
    private Long regionId;

    /**
     *联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String mobile;
}
