package com.ningdatech.carapi.sys.entity.vo;

import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * <p>
 * RegionTreeVO
 * </p>
 *
 * @author WendyYang
 * @since 10:35 2022/10/12
 */
@Data
@ToString(callSuper = true)
@ApiModel(value = "CompanyCarInfoVO", description = "企业车辆树状结构VO")
public class CompanyCarInfoVO {

    @ApiModelProperty("所选区域Id")
    private Long regionId;

    @ApiModelProperty("企业信息列表")
    private List<CompanyVO> companyList;

    @ApiModelProperty("企业下车辆信息")
    private Map<Long,List<CarInfoVO>> carInfoMap;
}
