package com.ningdatech.carapi.user.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/9 上午9:31
 */
@Data
@ApiModel(description = "新建账号入参")
public class ReqCreateAccountPO {

    @ApiModelProperty("用户姓名")
    private String nickName;

    @ApiModelProperty("所属企业")
    private String companyName;

    @ApiModelProperty("所属企业唯一标识")
    private String companyId;

    @ApiModelProperty("公司行业")
    private String corporateIndustry;

    @ApiModelProperty("用户角色")
    private String role;

    @ApiModelProperty("登陆账号")
    private String userName;

    @ApiModelProperty("登陆密码")
    private String password;

    @ApiModelProperty("职位")
    private String position;

    @ApiModelProperty("科室")
    private String department;

    @ApiModelProperty("手机号码")
    private String phoneNo;

    @ApiModelProperty("备注")
    private String remark;

}
